21.04.2021

Обновление Samba 4.14.2, 4.13.7 и 4.12.14 с устранением уязвимостей

Подготовлены корректирующие выпуски пакета Samba 4.14.2, 4.13.7 и 4.12.14, в которых устранены две уязвимости:

  • CVE-2020-27840 — переполнение буфера, возникающее при обработке специально оформленных имён DN (Distinguished Name). Анонимный атакующий может вызвать крах сервера AD DC LDAP на базе Samba через отправку специально оформленного bind-запроса. Так как в ходе атаки имеется возможность контролировать область перезаписи, не исключаются и более серьёзные последствия, такие как выполнение своего кода на сервере, но рабочего эксплоита пока нет. Так как приводящий к уязвимости код разбора строки DN выполняется на стадии до проверки параметров аутентификации проблема может быть эксплуатирована атакующим, не имеющим учётной записи на сервере.
  • CVE-2021-20277 — чтение из области вне границ буфера при обработке на сервере AD DC LDAP специально оформленного фильтра, задаваемого пользователем. Проблема может привести к краху серверного обработчика или утечке содержимого из памяти процесса.

Источник.